<Type Name="CodeAttachEventStatement" FullName="System.CodeDom.CodeAttachEventStatement">
  <TypeSignature Language="C#" Value="public class CodeAttachEventStatement : System.CodeDom.CodeStatement" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.CodeDom.CodeStatement</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes>
    <Attribute>
      <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
    </Attribute>
    <Attribute>
      <AttributeName>System.Runtime.InteropServices.ClassInterfaceAttribute</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CodeAttachEventStatement ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'CodeAttachEventStatement'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CodeAttachEventStatement (CodeEventReferenceExpression eventRef, CodeExpression listener);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="eventRef" Type="System.CodeDom.CodeEventReferenceExpression" />
		<Parameter Name="listener" Type="System.CodeDom.CodeExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="eventRef">To be added: an object of type 'CodeEventReferenceExpression'</param>
        <param name="listener">To be added: an object of type 'CodeExpression'</param>
        <returns>To be added: an object of type 'CodeAttachEventStatement'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CodeAttachEventStatement (CodeExpression targetObject, string eventName, CodeExpression listener);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="targetObject" Type="System.CodeDom.CodeExpression" />
		<Parameter Name="eventName" Type="System.String" />
		<Parameter Name="listener" Type="System.CodeDom.CodeExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="targetObject">To be added: an object of type 'CodeExpression'</param>
        <param name="eventName">To be added: an object of type 'string'</param>
        <param name="listener">To be added: an object of type 'CodeExpression'</param>
        <returns>To be added: an object of type 'CodeAttachEventStatement'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Event">
      <MemberSignature Language="C#" Value="public CodeEventReferenceExpression Event { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.CodeEventReferenceExpression</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'CodeEventReferenceExpression'</param>
        <returns>To be added: an object of type 'CodeEventReferenceExpression'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Listener">
      <MemberSignature Language="C#" Value="public CodeExpression Listener { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.CodeExpression</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'CodeExpression'</param>
        <returns>To be added: an object of type 'CodeExpression'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
